Commit 4874c725 authored by David Bruce's avatar David Bruce

Minor update of docs for release of version 1.7.5



git-svn-id: svn://svn.debian.org/svn/tux4kids/tuxtype/trunk@1034 47d30e19-490b-0410-9d18-e851f4e465b3
parent 9c016935
10 Jun 2009 (svn.debian.org/tux4kids - revision 1034)
[ David Bruce <davidstuartbruce@gmail.com> ]
Version 1.7.5
- i18n - fix of problem with GNU gettext convenience string-marking macros
due to XGETTEXT_OPTIONS not being set correctly in po/Makevars
- Scripting - cleanup of some other menu issues
- Build - update of specfile.in's to handle new libs being used for this
year's GSoC projects (svg support, LAN support)
08 Jun 2009 (svn.debian.org/tux4kids - revision 1017)
[ David Bruce <davidstuartbruce@gmail.com> ]
- Scripting - fix of bug in scripting.c run_script() where font size left
......
Tux Typing 1.7.4
03 Feb 2009
Tux Typing 1.7.5
10 Jun 2009
NOTE - this document is reasonably correct but not completely current.
It will updated as the maintainer's time allows. For GNU/Linux users, you
......@@ -24,7 +24,7 @@ Quick Installation
Tuxtype should compile out of the box if you have a sane tool chain
and the following SDL libraries:
SDL-1.2.5 http://www.libsdl.org
SDL_image-1.2.3 http://www.libsdl.org/projects/SDL_image
SDL_mixer-1.2.5 http://www.libsdl.org/projects/SDL_mixer
......@@ -55,6 +55,7 @@ You can install to a different location by setting a prefix with:
instead of just "./configure". The default prefix is /usr/local
More configure options can be viewed with "./configure --help".
If you run into problems, run:
......@@ -65,7 +66,7 @@ the corresponding Makefile.am's. You should not need to do this if you are buil
a tuxtype*.tar.gz (but will need to do this if building from a Subversion checkout).
Note - if you have SDL_Pango available, you can use the package without bundled fonts (e.g.
tuxtype-1.7.4.tar.gz). The tarball with the bundled fonts, e.g. tuxtype_w_fonts-1.7.4.tar.gz.
tuxtype-1.7.5.tar.gz). The tarball with the bundled fonts, e.g. tuxtype_w_fonts-1.7.5.tar.gz.
will work fine whether or not SDL_Pango is available. The unused fonts will simply take up about 2.5 MB on your hard drive.
We want this to work for everybody, everywhere, if it doesn't
......
......@@ -19,7 +19,7 @@ An Educational Typing Tutor Game Starring Tux, the Linux Penguin
Additional information on this subject is covered in "HowToTheme.html"
in the "doc/en" directory of this package.
This is version 1.7.4 of Tux Typing.
This is version 1.7.5 of Tux Typing.
In Fish Cascade you control Tux as he searches for fish to eat. Fish fall
from the top of the screen. These fish have letters on them. Unforunately
......
Updated 03 Mar 2009
Updated 10 Jun 2009
Briefly, here is what we are thinking of for GSoC 2009:
Briefly, here is what we are working on for GSoC 2009:
Tuxtype:
- svg support
- sound support for text (have program pronounce words to be typed)
- improved font handling
- addition of user-specific search path for word and phrase lists, so people can add their own content more readily.
- config/admin tool using gui toolkit (e.g. Qt4 but could be something else)
- perhaps LAN support
Tuxmath:
- svg support
- improved font handling
- config/admin tool using gui toolkit (e.g. Qt4 but could be something else)
- LAN multiplayer mode - need refactoring into client/server architecture (could be applied to tuxtype also).
......
......@@ -30,28 +30,28 @@ Vendor: openSUSE-Education
Source: %realname-%version.tar.bz2
BuildRequires: SDL_image-devel >= 1.2.2
#BuildRequires: SDL_ttf-devel > 2.0.8
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel >= 1.2.2
#BuildRequires: SDL_ttf-devel > 2.0.8
BuildRequires: SDL-devel
BuildRequires: SDL_mixer-devel
#BuildRequires: SDL_net-devel
BuildRequires: SDL_Pango-devel
BuildRequires: librsvg-devel
BuildRequires: ImageMagick
%if 0%{?suse_version}
%if 0%{?suse_version}
BuildRequires: update-desktop-files
BuildRequires: fdupes
%endif
BuildRequires: fdupes
%endif
%if 0%{?fedora_version}
BuildRequires: desktop-file-utils
%endif
BuildRequires: desktop-file-utils
%endif
%if 0%{?mandriva_version}
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
%endif
%if 0%{?mandriva_version} >= 2009
BuildRequires: pulseaudio-esound-compat
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment